# Class Thelia

  Symfony\Component\HttpKernel\Kernel
  Thelia\Core\Thelia

Namespace: Thelia\Core
Located at core/lib/Thelia/Core/Thelia.php

Methods summary
`public` | # `init( )`
`protected` | # `initPropel( )`
`protected` | # `loadConfiguration( Symfony\Component\DependencyInjection\ContainerBuilder $container )` Load some configuration Initialize all plugins
`protected Symfony\Component\DependencyInjection\ContainerBuilder` | # `getContainerBuilder( )` Gets a new ContainerBuilder instance used to build the service container. Gets a new ContainerBuilder instance used to build the service container. #### Returns `Symfony\Component\DependencyInjection\ContainerBuilder`
`protected Symfony\Component\DependencyInjection\ContainerBuilder` | # `buildContainer( )` Builds the service container. Builds the service container. #### Returns `Symfony\Component\DependencyInjection\ContainerBuilder` The compiled service container #### Throws `RuntimeException`
`public string` | # `getCacheDir( )` Gets the cache directory. Gets the cache directory. #### Returns `string` The cache directory #### Api
`public string` | # `getLogDir( )` Gets the log directory. Gets the log directory. #### Returns `string` The log directory #### Api
`public array` | # `registerBundles( )` return available bundle return available bundle Part of Symfony\Component\HttpKernel\KernelInterface #### Returns `array` An array of bundle instances.
`public` | # `registerContainerConfiguration( Symfony\Component\Config\Loader\LoaderInterface $loader )` Loads the container configuration Loads the container configuration part of Symfony\Component\HttpKernel\KernelInterface #### Parameters $loader `Symfony\Component\Config\Loader\LoaderInterface` $loader A LoaderInterface instance #### Api

Properties summary
`protected mixed` | $tpexConfig | `` | #